Bug 67114 - extra, old drivers for cisco aironet cards
extra, old drivers for cisco aironet cards
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-20 05:11 EDT by cootetim
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 14:47:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cootetim 2002-06-20 05:11:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
there's the kernel.org driver (drivers/net/wireless/airo.c) and there's what 
the authors seem to think is an old version (drivers/net/pcmcia/airo.c). Both 
are visible at kernel builds and neither seems to support newer Cisco firmware 
and so creates extra log entries ("got weird status 1000"). This may be why 
some of the wireless utilities don't work with these cards (iwconfig core dumps 
after the query). I think that the worse one is actually newer than 
the 'better' one - the real one comes from sourceforge.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.look in the kernel source
2.compare the airo.c's
3.both from common platform, but neither current. EV_MIC status bit was added 
to airo.c in Jan 02 at Sourceforge and added to kernel patch after 2.4.18-4 
release in 25/2. 
	

Actual Results:  two places to find aironet drivers in source tree and in make 
xconfig

Expected Results:  one place for aironet drivers, and capable of supporting 
current firmware

Additional info:

I'm not convinced that this whole area of the kernel is working properly as I 
cannot configure the wlan card, but I don't yet have firm enough info to post a 
bug report.

This bug could be a sign of a deeper QA issue?
Comment 1 Arjan van de Ven 2003-06-07 14:47:54 EDT
this got fixed in an erratum

Note You need to log in before you can comment on or make changes to this bug.